{
	saved_FirstTime[0]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetInvulnerable( true );
			SetNationality(3);
			SetRunning();

			GiveWeapon(83);
			DropWeaponOnDeath( false );
			PlayAnimation(30);
		}


	}]

	RunFlag[ ()
	{
		FollowPath( "FlagPath", 0 );
		FollowPathCallback( 127, "ModelSwap" );
	}]

	ModelSwap[ ()
	{
		SetModel(105);
		GiveWeapon(205);
		PlayAnimation(0,-1,0);
		PlayWeaponAnimation(0,-1,0);

		Delay(15,10);
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			Level.Victory();
			Delay(8,100);
		}

		if ( dy=100 )
		{
			Level.Outtro();
		}
	}]
}